Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.lang.management
Class ProcessingCapacityNotificationInfo

    java.lang.Object
      com.ibm.lang.management.ProcessingCapacityNotificationInfo

    public class ProcessingCapacityNotificationInfo

extends java.lang.Object

Encapsulates the details of a DLPAR notification emitted by a `OperatingSystemMXBean` when the available processing capacity changes. Specifically, this notifiation indicates that the value returned by `OperatingSystemMXBean.getProcessingCapacity()` has changed.

Since:
  1.5

Field Summary
`static java.lang.String` | `PROCESSING_CAPACITY_CHANGE`

Constructor Summary
`ProcessingCapacityNotificationInfo(int newProcessingCapacity)` Constructs a new instance of this object.

Method Summary
`static ProcessingCapacityNotificationInfo` | `from(javax.management.openmbean.CompositeData cd)` Receives a `CompositeData`representing a `ProcessingCapacityNotificationInfo` object and attempts to return the root `ProcessingCapacityNotificationInfo` instance.
`int` | `getNewProcessingCapacity()` Returns the new processing capacity after the change that this notification corresponds to.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESSING_CAPACITY_CHANGE

    public static final java.lang.String PROCESSING_CAPACITY_CHANGE

See Also:
  Constant Field Values

Constructor Detail

### ProcessingCapacityNotificationInfo

    public ProcessingCapacityNotificationInfo(int newProcessingCapacity)

  Constructs a new instance of this object.

  Parameters:
    `newProcessingCapacity` - the new processing capacity in units of 1% of a physical processor’s capacity

Method Detail

### getNewProcessingCapacity

    public int getNewProcessingCapacity()

  Returns the new processing capacity after the change that this notification corresponds to.

  Returns:
    the new processing capacity in units of 1% of a physical processor’s capacity.

### from

    public static ProcessingCapacityNotificationInfo from(javax.management.openmbean.CompositeData cd)

  Receives a `CompositeData`representing a `ProcessingCapacityNotificationInfo` object and attempts to return the root `ProcessingCapacityNotificationInfo` instance.

  Parameters:
    `cd` - a `CompositeDate` that represents a `ProcessingCapacityNotificationInfo`.
  Returns:
    if `cd` is non- `null`, returns a new instance of `ProcessingCapacityNotificationInfo`. If `cd` is `null`, returns `null`.
  Throws:
    `java.lang.IllegalArgumentException` - if argument `cd` does not correspond to a `ProcessingCapacityNotificationInfo` with the following attribute:
    - `newProcessingCapacity`( `java.lang.Integer`)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD